﻿Public Class EnhancedPrimeNumbersForm
   ' determine if number is prime
   Function Prime(ByVal number As Integer) As Boolean
      Dim count As Integer ' declare counter

      ' set square root of number as limit
      Dim limit As Integer = Convert.ToInt32(Math.Sqrt(number))

      ' loop unitl count reaches square root of number
      For count = 2 To limit
         If number Mod count = 0 Then
            Return False ' number is not prime
         End If
      Next

      Return True ' number is prime
   End Function ' Prime

   ' handles Calculate Primes Button's Click event
   Private Sub calculateButton_Click(ByVal sender As  _
      System.Object, ByVal e As System.EventArgs) _
      Handles calculateButton.Click

      ' declare variables
      Dim lowerBound As Integer
      Dim upperBound As Integer
      Dim counter As Integer
      Dim output As String = ""

      lowerBound = Convert.ToInt32(lowerTextBox.Text)
      upperBound = Convert.ToInt32(upperTextBox.Text)

      If lowerBound <= 1 OrElse upperBound <= 1 Then
         MessageBox.Show("Bounds must be greater than 1", _
            "Invalid Bounds", MessageBoxButtons.OK, _
            MessageBoxIcon.Error)
      ElseIf upperBound < lowerBound Then
         MessageBox.Show("Upper bound cannot be less than " & _
            "lower bound", "Invalid Bounds", MessageBoxButtons.OK, _
            MessageBoxIcon.Error)
      Else
         ' loop from lower bound to upper bound
         For counter = lowerBound To upperBound
            ' if prime number, display in TextBox
            If Prime(counter) = True Then
               output &= (counter & ControlChars.CrLf)
            End If
         Next
      End If

         outputTextBox.Text = output
   End Sub ' calculateButton_Click
End Class ' EnhancedPrimeNumbersForm

' **************************************************************************
' * (C) Copyright 1992-2009 by Deitel & Associates, Inc. and               *
' * Pearson Education, Inc. All Rights Reserved.                           *
' *                                                                        *
' * DISCLAIMER: The authors and publisher of this book have used their     *
' * best efforts in preparing the book. These efforts include the          *
' * development, research, and testing of the theories and programs        *
' * to determine their effectiveness. The authors and publisher make       *
' * no warranty of any kind, expressed or implied, with regard to these    *
' * programs or to the documentation contained in these books. The authors *
' * and publisher shall not be liable in any event for incidental or       *
' * consequential damages in connection with, or arising out of, the       *
' * furnishing, performance, or use of these programs.                     *
' **************************************************************************